Skip to content
Logo MoneyGo

Transaction histories

This endpoint retrieves the historical transaction data. It supports filtering by date range, pagination, wallet number, transaction type, and status.

Statuses:

  • PENDING = 1
  • FAIL = 2
  • SUCCESS = 3
  • CANCEL = 4

Types:

  • TRANSFER = 1
  • DEPOSIT = 2
  • WITHDRAW = 3
  • VOUCHER ACTIVATE MERCHANT = 9
  • VOUCHER BUY MERCHANT = 10
  • SELF WITHDRAW = 12

  • Method: GET
  • URL: https://api.money-go.com/api/transactions/histories?startDate=startDate&endDate=endDate&page=page&itemsPerPage=itemsPerPage &walletNumber=walletNumber&type=type&status=status
  • Headers:
  • Authorization: Bearer YOUR_ACCESS_TOKEN
ParameterTypeRequiredExampleDescription
startDatestringYes2024-03-15Start date
endDatestringYes2024-03-19End date
pagenumberYes1Page number
itemsPerPagenumberYes10Number of items per page
walletNumberstringOptionalR378031Wallet number
typenumberOptional2Transaction type (TRANSFER, etc.)
statusnumberOptional3Transaction status


Terminal window
curl -X GET "https://api.money-go.com/api/transactions/histories?startDate=2024-03-15&endDate=2024-03-19&page=1&itemsPerPage=10&walletNumber=R378031&type=2&status=3" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
"status": true,
"data": {
"items": [
{
"id": 0,
"type": 0,
"status": 0,
"wallet_from": "string",
"wallet_to": "string",
"currency_from_code": "string",
"currency_to_code": "string",
"amount_from": 0,
"amount_to": 0,
"total_usd": 0,
"description": "string",
"additional": "string",
"voucher_number": "string",
"created_at": "string",
"updated_at": "string"
}
],
"meta": {
"per_page": 0,
"page": 0,
"last_page": 0,
"total": 0
}
}
}
FieldTypeDescription
statusbooleanIndicates whether the request was successful.
dataobjectContains transaction history data.
FieldTypeDescription
itemsarrayList of transaction objects.
metaobjectMetadata for pagination.
FieldTypeDescription
idnumberUnique identifier of the transaction.
typenumberTransaction type (TRANSFER=1, etc.).
statusnumberTransaction status (PENDING=1, etc.).
wallet_fromstringOrigin wallet identifier.
wallet_tostringDestination wallet identifier.
currency_from_codestringCurrency code of the origin wallet.
currency_to_codestringCurrency code of the destination wallet.
amount_fromnumberAmount debited from the origin wallet.
amount_tonumberAmount credited to the destination wallet.
total_usdnumberChange of your USD balance.
descriptionstringDescription of the transaction.
additionalstringAdditional information if available.
voucher_numberstringVoucher number (calculated field).
created_atstringTimestamp of transaction creation.
updated_atstringTimestamp of last update.
FieldTypeDescription
per_pagenumberNumber of items per page.
pagenumberCurrent page number.
last_pagenumberTotal number of pages.
totalnumberTotal number of transactions.